# Created by pyp2rpm-3.3.1
%global pypi_name Flask-Sphinx-Themes
%define oname flask-sphinx-themes

Name:           python-%{oname}
Version:        1.0.2
Release:        %mkrel 10
Summary:        Sphinx themes for Flask and related projects
Group:          Development/Python
License:        BSD
URL:            https://github.com/pallets/flask-sphinx-themes
Source0:        %{pypi_source}
BuildArch:	noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description
Sphinx themes for Flask and Flask related projects.

%package -n     python3-%{oname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{oname}}

Requires:       python3dist(setuptools)
Requires:       python3dist(sphinx)

%description -n python3-%{oname}
Sphinx themes for Flask and Flask related projects.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{oname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/flask_sphinx_themes/
%{python3_sitelib}/Flask_Sphinx_Themes-%{version}-py%{python3_version}.egg-info


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 1.0.2-10.mga9
+ Revision: 1822898
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 mrambo3501 <mrambo3501> 1.0.2-9.mga9
+ Revision: 1775807
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 1.0.2-8.mga9
+ Revision: 1732600
- Rebuild for python 3.9

* Mon May 24 2021 kekepower <kekepower> 1.0.2-7.mga9
+ Revision: 1727865
- Rebuild for Python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.0.2-6.mga8
+ Revision: 1532745
- Mageia 8 Mass Rebuild

* Tue Sep 17 2019 tv <tv> 1.0.2-5.mga8
+ Revision: 1442934
- rebuild for python-3.8

* Sun Aug 04 2019 wally <wally> 1.0.2-4.mga8
+ Revision: 1427237
- drop python2 support

* Mon Jan 07 2019 kekepower <kekepower> 1.0.2-3.mga7
+ Revision: 1351250
- Rebuild for Python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.0.2-2.mga7
+ Revision: 1288902
- Mageia 7 Mass Rebuild

* Wed May 02 2018 kekepower <kekepower> 1.0.2-1.mga7
+ Revision: 1224589
- imported package python-flask-sphinx-themes

